Subject: Re: [PATCH 11/25] pack-bitmap-write.c: add a missing stop_progress()

From: SZEDER Gábor <[email-masked]>
Date: Fri, 17 Sep 2021 23:38:15 +0200

On Fri, Sep 17, 2021 at 07:56:48AM +0200, Ævar Arnfjörð Bjarmason wrote:
> 
> On Fri, Sep 17 2021, SZEDER Gábor wrote:
> 
> > On Wed, Jun 23, 2021 at 07:48:11PM +0200, Ævar Arnfjörð Bjarmason wrote:
> >> Fix a bug that's been here since 7cc8f971085 (pack-objects: implement
> >> bitmap writing, 2013-12-21), we did not call stop_progress() if we
> >> reached the early exit in this function. This will matter in a
> >> subsequent commit where we BUG(...) out if this happens, and matters
> >> now e.g. because we don't have a corresponding "region_end" for the
> >> progress trace2 event.
> >> 
> >> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
> >> ---
> >>  pack-bitmap-write.c | 1 +
> >>  1 file changed, 1 insertion(+)
> >> 
> >> diff --git a/pack-bitmap-write.c b/pack-bitmap-write.c
> >> index 88d9e696a54..6e110e41ea4 100644
> >> --- a/pack-bitmap-write.c
> >> +++ b/pack-bitmap-write.c
> >> @@ -550,6 +550,7 @@ void bitmap_writer_select_commits(struct commit **indexed_commits,
> >>  	if (indexed_commits_nr < 100) {
> >>  		for (i = 0; i < indexed_commits_nr; ++i)
> >>  			push_bitmapped_commit(indexed_commits[i]);
> >> +		stop_progress(&writer.progress);
> >>  		return;
> >>  	}
> >
> > When I found this bug I fixed it differently: with your patch there
> 
> Is that patch on-list somewhere or something you have locally?

Yes, it is between the scissors lines in the email you responded to :)
It was another fallout from my isatty(2) vs. progress PoC starting at

  https://public-inbox.org/git/[email-masked]/

but it was not included there, because I fixed it some days after
sending those patches.

> > are no display() calls at all between start_progress() and this new
> > stop_progress(), indicating that a stop_progress() is not missing but
> > rather the start_progress is in the wrong place:
> 
> *Nod*, I'll see about fixing it differenty depending on the above / any
> other comments.
> 
> Note that while this comment is current to
> https://lore.kernel.org/git/[email-masked]/
> as well, as noted in
> https://lore.kernel.org/git/[email-masked]/ you've
> had several comments on the 25 patch series not currently queued in
> "seen".

Oh, right, I commented on the wrong patch series.  Gaah.

> Still very useful as I'd had some of it planned for after that 8-patch
> series, just noting it for context.